Get Supported Assets
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/assets \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '""'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/assets"
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'}
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"asset": {
"address": "0x46C85152bFe9f96829aA94755D9f915F9B10EF5F",
"blockchain": {
"configurations": null,
"createdAt": "2026-01-20T08:10:37.776Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "384ba700-5831-49a1-8cba-7d89385d5a25",
"isActive": true,
"isEvmCompatible": true,
"isL2": true,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800080/crypto-assets/Base_Network_Logo_vqyh7r.png",
"name": "base",
"networkFeeModel": "native",
"slug": "base",
"symbol": "eth",
"tokenStandard": null,
"updatedAt": "2026-01-20T08:10:37.776Z"
},
"configurations": null,
"createdAt": "2026-01-20T08:10:37.843Z",
"currency": "NGN",
"decimals": 6,
"id": "4a54eddc-b2bc-42a2-8197-4f2cb250866e",
"isActive": true,
"isNative": false,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1744838933/crypto-assets/cNGN_Logo_Icon_Purple_qyopzm.png",
"name": "cNGN",
"network": "mainnet",
"standard": null,
"symbol": "cNGN",
"updatedAt": "2026-01-20T08:10:37.843Z"
},
"createdAt": "2026-01-20T08:44:44.461Z",
"id": "a79270bf-5a79-4bdc-8fef-586bfcff6e9f",
"isActive": true,
"updatedAt": "2026-01-20T08:44:44.461Z"
},
{
"asset": {
"address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"blockchain": {
"configurations": null,
"createdAt": "2026-01-20T08:10:37.776Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "384ba700-5831-49a1-8cba-7d89385d5a25",
"isActive": true,
"isEvmCompatible": true,
"isL2": true,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800080/crypto-assets/Base_Network_Logo_vqyh7r.png",
"name": "base",
"networkFeeModel": "native",
"slug": "base",
"symbol": "eth",
"tokenStandard": null,
"updatedAt": "2026-01-20T08:10:37.776Z"
},
"configurations": null,
"createdAt": "2026-01-20T08:10:37.841Z",
"currency": "USD",
"decimals": 6,
"id": "f8112728-36a1-46f4-b7f5-5de836ecfaa1",
"isActive": true,
"isNative": false,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800083/crypto-assets/usd-coin-usdc-logo_fs9mhv.png",
"name": "USD Coin",
"network": "mainnet",
"standard": null,
"symbol": "USDC",
"updatedAt": "2026-01-20T08:10:37.841Z"
},
"createdAt": "2026-01-20T08:44:44.460Z",
"id": "37079b6b-b74f-48e9-a394-9a5cbae88f12",
"isActive": true,
"updatedAt": "2026-01-20T08:44:44.460Z"
},
{
"asset": {
"address": "0xfde4C96c8593536E31F229EA8f37b2ADa2699bb2",
"blockchain": {
"configurations": null,
"createdAt": "2026-01-20T08:10:37.776Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "384ba700-5831-49a1-8cba-7d89385d5a25",
"isActive": true,
"isEvmCompatible": true,
"isL2": true,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800080/crypto-assets/Base_Network_Logo_vqyh7r.png",
"name": "base",
"networkFeeModel": "native",
"slug": "base",
"symbol": "eth",
"tokenStandard": null,
"updatedAt": "2026-01-20T08:10:37.776Z"
},
"configurations": null,
"createdAt": "2026-01-20T08:10:37.842Z",
"currency": "USD",
"decimals": 6,
"id": "86554fba-3509-417b-8c19-66e0f5294003",
"isActive": true,
"isNative": false,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800082/crypto-assets/tether-usdt-logo_wx7rwh.png",
"name": "Tether USD(Bridged)",
"network": "mainnet",
"standard": null,
"symbol": "USDT",
"updatedAt": "2026-01-20T08:10:37.842Z"
},
"createdAt": "2026-01-20T08:44:44.460Z",
"id": "79091898-7bd8-4e7e-9eee-6636252a09f2",
"isActive": true,
"updatedAt": "2026-01-20T08:44:44.460Z"
}
],
"message": "Supported assets fetched succcessfully",
"status": true
}Get Supported Assets
Get Supported Assets
GET
/
v1
/
wallets
/
{walletId}
/
withdraw
/
fiat
/
assets
Get Supported Assets
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Response
200 - application/json
200
Show child attributes
Show child attributes
Example:
[
{
"asset": {
"address": "0x46C85152bFe9f96829aA94755D9f915F9B10EF5F",
"blockchain": {
"configurations": null,
"createdAt": "2026-01-20T08:10:37.776Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "384ba700-5831-49a1-8cba-7d89385d5a25",
"isActive": true,
"isEvmCompatible": true,
"isL2": true,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800080/crypto-assets/Base_Network_Logo_vqyh7r.png",
"name": "base",
"networkFeeModel": "native",
"slug": "base",
"symbol": "eth",
"tokenStandard": null,
"updatedAt": "2026-01-20T08:10:37.776Z"
},
"configurations": null,
"createdAt": "2026-01-20T08:10:37.843Z",
"currency": "NGN",
"decimals": 6,
"id": "4a54eddc-b2bc-42a2-8197-4f2cb250866e",
"isActive": true,
"isNative": false,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1744838933/crypto-assets/cNGN_Logo_Icon_Purple_qyopzm.png",
"name": "cNGN",
"network": "mainnet",
"standard": null,
"symbol": "cNGN",
"updatedAt": "2026-01-20T08:10:37.843Z"
},
"createdAt": "2026-01-20T08:44:44.461Z",
"id": "a79270bf-5a79-4bdc-8fef-586bfcff6e9f",
"isActive": true,
"updatedAt": "2026-01-20T08:44:44.461Z"
},
{
"asset": {
"address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"blockchain": {
"configurations": null,
"createdAt": "2026-01-20T08:10:37.776Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "384ba700-5831-49a1-8cba-7d89385d5a25",
"isActive": true,
"isEvmCompatible": true,
"isL2": true,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800080/crypto-assets/Base_Network_Logo_vqyh7r.png",
"name": "base",
"networkFeeModel": "native",
"slug": "base",
"symbol": "eth",
"tokenStandard": null,
"updatedAt": "2026-01-20T08:10:37.776Z"
},
"configurations": null,
"createdAt": "2026-01-20T08:10:37.841Z",
"currency": "USD",
"decimals": 6,
"id": "f8112728-36a1-46f4-b7f5-5de836ecfaa1",
"isActive": true,
"isNative": false,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800083/crypto-assets/usd-coin-usdc-logo_fs9mhv.png",
"name": "USD Coin",
"network": "mainnet",
"standard": null,
"symbol": "USDC",
"updatedAt": "2026-01-20T08:10:37.841Z"
},
"createdAt": "2026-01-20T08:44:44.460Z",
"id": "37079b6b-b74f-48e9-a394-9a5cbae88f12",
"isActive": true,
"updatedAt": "2026-01-20T08:44:44.460Z"
},
{
"asset": {
"address": "0xfde4C96c8593536E31F229EA8f37b2ADa2699bb2",
"blockchain": {
"configurations": null,
"createdAt": "2026-01-20T08:10:37.776Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "384ba700-5831-49a1-8cba-7d89385d5a25",
"isActive": true,
"isEvmCompatible": true,
"isL2": true,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800080/crypto-assets/Base_Network_Logo_vqyh7r.png",
"name": "base",
"networkFeeModel": "native",
"slug": "base",
"symbol": "eth",
"tokenStandard": null,
"updatedAt": "2026-01-20T08:10:37.776Z"
},
"configurations": null,
"createdAt": "2026-01-20T08:10:37.842Z",
"currency": "USD",
"decimals": 6,
"id": "86554fba-3509-417b-8c19-66e0f5294003",
"isActive": true,
"isNative": false,
"logoUrl": "https://res.cloudinary.com/blockradar/image/upload/v1716800082/crypto-assets/tether-usdt-logo_wx7rwh.png",
"name": "Tether USD(Bridged)",
"network": "mainnet",
"standard": null,
"symbol": "USDT",
"updatedAt": "2026-01-20T08:10:37.842Z"
},
"createdAt": "2026-01-20T08:44:44.460Z",
"id": "79091898-7bd8-4e7e-9eee-6636252a09f2",
"isActive": true,
"updatedAt": "2026-01-20T08:44:44.460Z"
}
]
Example:
"Supported assets fetched succcessfully"
Example:
true

